<html>
<head>
<title>OgreBlendMode.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreBlendMode.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>&quot;</code><br/>
</div>
<p><a href="OgreBlendMode_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LayerBlendModeEx.html">Ogre::LayerBlendModeEx</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class which manages blending of both colour and alpha components.  <a href="classOgre_1_1LayerBlendModeEx.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga1ae5925d36df27a6c3590536752264f8">Ogre::LayerBlendType</a> { <a class="el" href="group__Materials.html#gga1ae5925d36df27a6c3590536752264f8acee3f4ef730f5c3e67fe71a54621e654">Ogre::LBT_COLOUR</a>, 
<a class="el" href="group__Materials.html#gga1ae5925d36df27a6c3590536752264f8a48d75d19e38ab5ff2ce7a3e9ae068e31">Ogre::LBT_ALPHA</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Type of texture blend mode.  <a href="group__Materials.html#ga1ae5925d36df27a6c3590536752264f8">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#gabcbb38d1ac195e4be401f85b7ab0da8f">Ogre::LayerBlendOperation</a> { <a class="el" href="group__Materials.html#ggabcbb38d1ac195e4be401f85b7ab0da8fa870cf51ff1ccd919cf710bcb3b4e6432">Ogre::LBO_REPLACE</a>, 
<a class="el" href="group__Materials.html#ggabcbb38d1ac195e4be401f85b7ab0da8fa0c0abc7da3db86b393712aacc3c0ffe3">Ogre::LBO_ADD</a>, 
<a class="el" href="group__Materials.html#ggabcbb38d1ac195e4be401f85b7ab0da8fa20815cab41c35f08f3520fb404b95efd">Ogre::LBO_MODULATE</a>, 
<a class="el" href="group__Materials.html#ggabcbb38d1ac195e4be401f85b7ab0da8fa5cd300cd5790982241469d38868e5e76">Ogre::LBO_ALPHA_BLEND</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">List of valid texture blending operations, for use with TextureUnitState::setColourOperation.  <a href="group__Materials.html#gabcbb38d1ac195e4be401f85b7ab0da8f">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga264ecab38a04d01e2c3158fa05ec1ee2">Ogre::LayerBlendOperationEx</a> { <br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a8c7697ad29825fd74a0383826294c894">Ogre::LBX_SOURCE1</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a7e03fbcff412dcdeefa85e7e83525599">Ogre::LBX_SOURCE2</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a985f2ec53a477d7c19b41700589cb519">Ogre::LBX_MODULATE</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a83964282d9ea36a25f4718ae962f8d1c">Ogre::LBX_MODULATE_X2</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a2016226c35da93cc80a47e67528064a3">Ogre::LBX_MODULATE_X4</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2ac025aa3571c27a81260a08338418fa02">Ogre::LBX_ADD</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2ae89016c1b5b7ba57965791ae726c450e">Ogre::LBX_ADD_SIGNED</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a94ec9bd2faf2b248f1c32f2eb187f415">Ogre::LBX_ADD_SMOOTH</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2ade0d61cb08a3a772470efeab17a1a60c">Ogre::LBX_SUBTRACT</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2ac48b8a0a6406d7950c873658b9f11aa9">Ogre::LBX_BLEND_DIFFUSE_ALPHA</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a3ba9fa36ef8c23b61e030185ca14cb78">Ogre::LBX_BLEND_TEXTURE_ALPHA</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a42c0f2ce32ad504e39a11936748c9973">Ogre::LBX_BLEND_CURRENT_ALPHA</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2adbe5957a946513e0f8be8c571f9b73fe">Ogre::LBX_BLEND_MANUAL</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2a822d6d3e08f28dcd9834f61c7fc03905">Ogre::LBX_DOTPRODUCT</a>, 
<a class="el" href="group__Materials.html#gga264ecab38a04d01e2c3158fa05ec1ee2aff8f459e8c642e068d2d85fb18563859">Ogre::LBX_BLEND_DIFFUSE_COLOUR</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Expert list of valid texture blending operations, for use with TextureUnitState::setColourOperationEx and TextureUnitState::setAlphaOperation, and internally in the LayerBlendModeEx class.  <a href="group__Materials.html#ga264ecab38a04d01e2c3158fa05ec1ee2">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#gae2ad78de344f35307ce35157c175625e">Ogre::LayerBlendSource</a> { <br/>
&#160;&#160;<a class="el" href="group__Materials.html#ggae2ad78de344f35307ce35157c175625ea370f25da69381c74ca1fc51fde81e659">Ogre::LBS_CURRENT</a>, 
<a class="el" href="group__Materials.html#ggae2ad78de344f35307ce35157c175625ea45f1a14042993f460992b3253ce6ae80">Ogre::LBS_TEXTURE</a>, 
<a class="el" href="group__Materials.html#ggae2ad78de344f35307ce35157c175625ea196637a598fec92609865324b94d5662">Ogre::LBS_DIFFUSE</a>, 
<a class="el" href="group__Materials.html#ggae2ad78de344f35307ce35157c175625eaeaaa1e434289af47d0324c5d0f19d728">Ogre::LBS_SPECULAR</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#ggae2ad78de344f35307ce35157c175625ea9aad692ea2c7081237095c3ab4044f17">Ogre::LBS_MANUAL</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">List of valid sources of values for blending operations used in TextureUnitState::setColourOperation and TextureUnitState::setAlphaOperation, and internally in the LayerBlendModeEx class.  <a href="group__Materials.html#gae2ad78de344f35307ce35157c175625e">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#gac46c60cf6e5c199220e3b8f26570cb9a">Ogre::SceneBlendType</a> { <br/>
&#160;&#160;<a class="el" href="group__Materials.html#ggac46c60cf6e5c199220e3b8f26570cb9aa8df6dd8b7710971196000da11b5ab114">Ogre::SBT_TRANSPARENT_ALPHA</a>, 
<a class="el" href="group__Materials.html#ggac46c60cf6e5c199220e3b8f26570cb9aab57b2cf11c74056c5109fce1efa37a05">Ogre::SBT_TRANSPARENT_COLOUR</a>, 
<a class="el" href="group__Materials.html#ggac46c60cf6e5c199220e3b8f26570cb9aafa3ba1b1c044f8c0cb09bc41582024d4">Ogre::SBT_ADD</a>, 
<a class="el" href="group__Materials.html#ggac46c60cf6e5c199220e3b8f26570cb9aa7aed8ef0038f0a0a5f6634ba4080b513">Ogre::SBT_MODULATE</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#ggac46c60cf6e5c199220e3b8f26570cb9aab6672abe57fa6051e9ab57d51975d244">Ogre::SBT_REPLACE</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Types of blending that you can specify between an object and the existing contents of the scene.  <a href="group__Materials.html#gac46c60cf6e5c199220e3b8f26570cb9a">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213">Ogre::SceneBlendFactor</a> { <br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213ad2741858a9d9f668a47ea75b82ae0318">Ogre::SBF_ONE</a>, 
<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213a04732209b3c7a16b5f0a2c829e6f6c34">Ogre::SBF_ZERO</a>, 
<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213affe55d98f2cd26e9451af52dbc74f7b2">Ogre::SBF_DEST_COLOUR</a>, 
<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213aec796e9f58f4cce849379f0239e059a6">Ogre::SBF_SOURCE_COLOUR</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213a7ea50d3d5960138db1c46ecb42f94969">Ogre::SBF_ONE_MINUS_DEST_COLOUR</a>, 
<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213a93b05f61a5076cf0f649ac5d656970fe">Ogre::SBF_ONE_MINUS_SOURCE_COLOUR</a>, 
<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213a374792bd937134c4ca2aad748661c22c">Ogre::SBF_DEST_ALPHA</a>, 
<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213a5b1a11e0ec0d1cf0bdab0176cca26eea">Ogre::SBF_SOURCE_ALPHA</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213a1d772950d5ec934776bbc1d39782a42d">Ogre::SBF_ONE_MINUS_DEST_ALPHA</a>, 
<a class="el" href="group__Materials.html#gga41c76d419d6c9c205a6c1d3b42872213a09184af2d875978d03c6edd00d4d52f9">Ogre::SBF_ONE_MINUS_SOURCE_ALPHA</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Blending factors for manually blending objects with the scene.  <a href="group__Materials.html#ga41c76d419d6c9c205a6c1d3b42872213">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a">Ogre::SceneBlendOperation</a> { <br/>
&#160;&#160;<a class="el" href="group__Materials.html#ggaa7a12a72231aedf6e33d58aafc11214aa188aee58620b3275f1a45c7c80df4bc7">Ogre::SBO_ADD</a>, 
<a class="el" href="group__Materials.html#ggaa7a12a72231aedf6e33d58aafc11214aa1b91fc44108cc88f2cb4bb38d4d76a4b">Ogre::SBO_SUBTRACT</a>, 
<a class="el" href="group__Materials.html#ggaa7a12a72231aedf6e33d58aafc11214aabf264a7da02c6b481ca9a8b222914438">Ogre::SBO_REVERSE_SUBTRACT</a>, 
<a class="el" href="group__Materials.html#ggaa7a12a72231aedf6e33d58aafc11214aaac9096763a660cde89c5771a7842d14c">Ogre::SBO_MIN</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#ggaa7a12a72231aedf6e33d58aafc11214aad27eb8ec55b3c43ff95506da8e2b3d7f">Ogre::SBO_MAX</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Blending operations controls how objects are blended into the scene.  <a href="group__Materials.html#gaa7a12a72231aedf6e33d58aafc11214a">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
